
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>SQL Server如何重置Identity标识列的值 / iVAN</title>

    <meta name="description" content="SQL Server如何重置Identity标识列的值 一.背景 SQL Server数据库中表A中Id字段的定义是:[Id] [int] IDENTITY(1,1),随着数据的不断增长,Id值已经接近2147483647(int的取值范围为:-2 147 483 648 到 2 147 483 647)了,虽然已经对旧数据进行归档,但是这个表需要保留最近的1亿数据,有什么方法解决Id值就快爆的问题呢? 解决上面的问题有两个办法:一个是修改表结构,把Id的int数据类型修改为bigint:第二个是重置Id(Identity标识列)的值,使它重新增长.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">SQL Server如何重置Identity标识列的值</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一、背景</p>
<p>SQL Server数据库中表A中Id字段的定义是：[Id] [int] IDENTITY(1,1)，随着数据的不断增长，Id值已经接近2147483647（int的取值范围为：-2 147 483 648 到 2 147 483 647）了，虽然已经对旧数据进行归档，但是这个表需要保留最近的1亿数据，有什么方法解决Id值就快爆的问题呢？</p>
<p>解决上面的问题有两个办法：一个是修改表结构，把Id的int数据类型修改为bigint；第二个是重置Id（Identity标识列）的值，使它重新增长。</p>
<p>当前标识值：current identity value，用于记录和保存最后一次系统分配的Id值；下次分配Id就是：当前标识值+标识增量（通常为+1，也可以自行设置）；</p>
<p>当前列值：current column value，这Id值到目前为止的最大值；</p>
<p>二、重置过程</p>
<p>(一) 下面就测试重置Identity标识列，首先使用下面的SQL创建测试表：</p>
<pre>
--创建测试表
CREATE TABLE [dbo].[Test_Identity](
    [IdentityId] [int] IDENTITY(1,1) NOT NULL,
    [Name] [nchar](10) NULL,
 CONSTRAINT [PK_testid] PRIMARY KEY CLUSTERED
(
    [IdentityId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]</pre>
<p>(二) 显示插入Id值，插入后表[Test_Identity]的记录如Figure1所示，接着再隐式插入Id值，插入后表[Test_Identity]的记录如Figure2所示。</p>
<pre>
--显示插入Id值
SET IDENTITY_INSERT [Test_Identity] ON
INSERT INTO [Test_Identity](IdentityId,Name)
SELECT 1000,'name1'
SET IDENTITY_INSERT [Test_Identity] OFF

--隐式插入Id值
INSERT INTO [Test_Identity](Name)
SELECT 'name2'</pre>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTA0MTU0MVA3LTAuanBn.jpg"></p>
<p>（Figure1：数据记录）</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTA0MTU0NGIyLTEuanBn.jpg"></p>
<p>（Figure2：数据记录）</p>
<p>(三) DBCC CHECKIDENT('table_name', NORESEED)不重置当前标识值。DBCC CHECKIDENT 返回一个报表，它指明当前标识值和应有的标识值。执行下面的SQL语句，返回的信息表示：当前标识值'1001'，当前列值'1001'，如Figure2所示。</p>
<pre>
--查询标识值
DBCC CHECKIDENT('Test_Identity', NORESEED)
/*
检查标识信息: 当前标识值'1001'，当前列值'1001'。
DBCC 执行完毕。如果DBCC 输出了错误信息，请与系统管理员联系。
*/</pre>
<p>(四) 再隐式插入Id值，插入后表[Test_Identity]的记录如Figure3所示。所以执行上面的SQL语句是不会重置当前标识值的，可以放心执行。</p>
<pre>
--隐式插入Id值
INSERT INTO [Test_Identity](Name)
SELECT 'name3'</pre>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTA0MTU0MzQyMC0yLmpwZw==.jpg"></p>
<p>（Figure3：数据记录）</p>
<pre>
--查询标识值
DBCC CHECKIDENT('Test_Identity', NORESEED)
/*
检查标识信息: 当前标识值'1002'，当前列值'1002'。
DBCC 执行完毕。如果DBCC 输出了错误信息，请与系统管理员联系。
*/</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索sql插入数据的问题<br />
                    ，                数据<br />
                    ，                信息<br />
                    ，                identity<br />
                    ，                @@IDENTITY<br />
                    ，                标识<br />
                    ，                DBCC<br />
                    ，                标识列<br />
                    ，                标识id<br />
                    ，                当前<br />
                    ，                Identity列<br />
                    ，                CHECKIDENT<br />
                    ，                重置数据库标识<br />
                                    标识值<br />
                                    sql identity 重置、identityserver4、identityserver3、identityserver、sql server identity，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 06:17:44</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e5%bd%93%e5%89%8d/" title="当前">当前</a>, <a href="https://www.iamivan.net/tag/%e6%a0%87%e8%af%86/" title="标识">标识</a>, <a href="https://www.iamivan.net/tag/%e4%bf%a1%e6%81%af/" title="信息">信息</a>, <a href="https://www.iamivan.net/tag/sql%e6%8f%92%e5%85%a5%e6%95%b0%e6%8d%ae%e7%9a%84%e9%97%ae%e9%a2%98/" title="sql插入数据的问题">sql插入数据的问题</a>, <a href="https://www.iamivan.net/tag/identity/" title="identity">identity</a>, <a href="https://www.iamivan.net/tag/dbcc/" title="DBCC">DBCC</a>, <a href="https://www.iamivan.net/tag/%e6%a0%87%e8%af%86%e5%80%bc/" title="标识值">标识值</a>, <a href="https://www.iamivan.net/tag/%e6%a0%87%e8%af%86%e5%88%97/" title="标识列">标识列</a>, <a href="https://www.iamivan.net/tag/%e6%a0%87%e8%af%86id/" title="标识id">标识id</a>, <a href="https://www.iamivan.net/tag/identity%e5%88%97/" title="Identity列">Identity列</a>, <a href="https://www.iamivan.net/tag/checkident/" title="CHECKIDENT">CHECKIDENT</a>, <a href="https://www.iamivan.net/tag/%e9%87%8d%e7%bd%ae%e6%95%b0%e6%8d%ae%e5%ba%93%e6%a0%87%e8%af%86/" title="重置数据库标识">重置数据库标识</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>SQL Server如何重置Identity标识列的值的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxoYmBb.html" rel="bookmark">SQL Server 重置Identity标识列的值（INT爆了）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文 http://www.cnblogs.com/gaizai/archive/2013/04/23/3038318.html SQL Server 重置Identity标识列的值(INT爆了) 2013-04-23 17:45 by 听风吹雨, 1146 阅读, 16 评论, 收藏, 编辑 一.背景 SQL Server数据库中表A中Id字段的定义是:[Id] [int] IDENTITY(1,1),随着数据的不断增长,Id值已经接近2147483647(int的取值范围为:-2 147 4			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmjN1Bz.html" rel="bookmark">sql server获得新记录标识列值的二种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对新添加的记录,获得新记录的自动标识列的值,有两种方式:1.在INSERT中使用OUTPUT关键字INSERT INTO table_name(column1,column2,column3)OUTPUT INSERTED.ID --返回自动增长的标识列的值VALUES('','','') --ADO.NET调用int r = command.ExecuteScalar(); 2.使用全局变量@@IDENTITY全局变量INSERT INTO table_name(column1,column2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0boyZVp.html" rel="bookmark">SQL SERVER 2000 中的标识值获取函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server|函数 IDENTITY(标识)列,也有很多人称之为自增列,在SQL Server 2000中,标识列通过IDENTITY来定义,下面是与获取最后插入记录的标识值有关的函数的一个示例说明     SQL Server 中,可以使用 SCOPE_IDENTITY(). @@IDENTITY . IDENT_CURRENT() 来取得最后插入记录的值值,它们的区别在于:SCOPE_IDENTITY() 返回插入到同一作用域中的 IDENTITY 列内的最后一个 IDENTITY 值.一个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPkWP8M.html" rel="bookmark">在SQL Server数据库中为标识&lpar;IDENTITY&rpar;列插入显式值&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果我们在标识列中插入值,例如: insert member(id,username) values(10,'admin') 则在查询分析器里面会返回错误信息:  引用内容 服务器: 消息 544,级别 16,状态 1,行 1 当 IDENTITY_Insert 设置为 OFF 时,不能向表 'member' 中的标识列插入显式值. 而在ASP程序中会返回错误信息:  引用内容 Microsoft OLE DB Provider for SQL Server 错误 '80040e14'  当 I			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p86lyob.html" rel="bookmark">在SQL Server数据库中为标识&lpar;IDENTITY&rpar;列插入显式值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果我们在标识列中插入值,例如: insert member(id,username) values(10,'admin') 则在查询分析器里面会返回错误信息:  引用内容 服务器: 消息 544,级别 16,状态 1,行 1 当 IDENTITY_Insert 设置为 OFF 时,不能向表 'member' 中的标识列插入显式值. 而在ASP程序中会返回错误信息:  引用内容 Microsoft OLE DB Provider for SQL Server 错误 '80040e14' 当 ID			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6kyaLp.html" rel="bookmark">SQL Server返回最后一个标识值的三个函数：IDENT&lowbar;CURRENT、&commat;&commat;IDENTITY、SCOPE&lowbar;IDENTITY</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				昨天有人在群里讨论SQL Server返回最后一个标识值的三个函数:IDENT_CURRENT.@@IDENTITY.SCOPE_IDENTITY,在些作个标记和小结. 其实MSDN对此有官方解释:这三个函数都返回最后生成的标识值. 但是,上述每个函数中定义的&quot;最后&quot;的作用域和会话有所不同. 1.IDENT_CURRENT 返回为某个会话和当前作用域中的指定表生成的最新标识值. 如果 IDENT_CURRENT 值为 NULL(因为表从未包含行或已被截断),IDENT_CURRENT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwW7Ekz.html" rel="bookmark">浅析SQL Server数据库中的伪列以及伪列的含义</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:浅析SQL Server数据库中的伪列以及伪列的含义   本文出处:http://www.cnblogs.com/wy123/p/6833116.html      SQL Server中的伪列 下午看QQ群有人在讨论(非聚集)索引的存储,说,对于聚集索引表,非聚集索引存储的是索引键值+聚集索引键值:对于非聚集索引表,索引存储的是索引键值+RowId,这应该是一个常识,对此不作具体详细阐述.这里主要是提到的RowId引起了一点思考.那么,这个RowId是个什么玩意?能不能更加直观一点来看看			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn6E4Wp.html" rel="bookmark">DBCC CHECKIDENT 重置数据库标识列从某一数值开始&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DBCC CHECKIDENT(N'dbo.Orders', RESEED, 0); DBCC CHECKIDENT 语法 DBCC CHECKIDENT ( table_name [ , { NORESEED | { RESEED [ , new_reseed_value ] } } ] ) [ WITH NO_INFOMSGS ]参数 table_name 是要对其当前标识值进行检查的表名.指定的表必须包含标识列.表名必须符合标识符规则. NORESEED 指定不应更改当前标识值. RESE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgJma8b.html" rel="bookmark">DBCC CHECKIDENT 重置数据库标识列从某一数值开始</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DBCC CHECKIDENT(N'dbo.Orders', RESEED, 0); DBCC CHECKIDENT 语法 DBCC CHECKIDENT ( table_name [ , { NORESEED | { RESEED [ , new_reseed_value ] } } ] ) [ WITH NO_INFOMSGS ]参数 table_name 是要对其当前标识值进行检查的表名.指定的表必须包含标识列.表名必须符合标识符规则. NORESEED 指定不应更改当前标识值. RESE			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze7kjM.html" rel="bookmark" class="title">iphone-Monotouch检测当前平台</a>
					<div>
						问题描述 Monotouch检测当前平台 我想知道怎么样知道现在设备的平台.请大家帮忙,谢谢-- 解决方案 参考一下 using System;using System.Runtime.Interop ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr3J4p.html" rel="bookmark" class="title">java中关于dismiss方法的使用</a>
					<div>
						问题描述 java中关于dismiss方法的使用 myDialog.dismiss( )比如这条语句中是关闭一个对话框的意思吗dismiss还有哪些方面的应用 解决方案 看下这个函数的源码上面的注释信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVXx4M.html" rel="bookmark" class="title">用ajax使网页不刷新就可以显示新数据</a>
					<div>
						ajax|数据|刷新|网页|显示 用AjaxPro的:1. 在引用中添加引用AjaxPro.dll,我用的是这个,支持asp.net 1.1 和asp.net 2.0. 2. web.config中建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7GGXz.html" rel="bookmark" class="title">ASP3&period;0中的流控制能力&lpar;1&rpar;</a>
					<div>
						asp3|控制 ASP3.0中的流控制能力 2000-11-20· xuankong·yesky 随着PHP4.0和JSP技术的推出以及IIS中不断出现的重大的安全问题,MicroSoft的ASP的市 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mx6QOz.html" rel="bookmark" class="title">SQL Server 2000 Maintenance plan 维护计划</a>
					<div>
						server 被定期自动执行的维护计划: 用新的填充(占空)因子重建索引以重组数据和索引页上的数据.这确保数据库页包含相等分布的数据和剩余空间 ,这允许未来更快速成长. 从数据库页中移出空数据页压缩数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZxZOM.html" rel="bookmark" class="title">数据库学习笔记（四）</a>
					<div>
						笔记|数据|数据库 关系数据库 六, 关系代数 关系代数是一种抽象的查询语言,是关系数据操纵语言的一种传统表达方式,它是用对关系的运算来表达查询的. 1,传统的集合运算 并(union),差(diff ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvBl8M.html" rel="bookmark" class="title">一个简单实用的php加图片水印函数</a>
					<div>
						以下是引用片段:以下为引用的内容: &lt;?php     //$backFile:  背景图  //$copyFile:  待拷贝的图   //$resultFile:  生成文件保存地址  // ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGgEez.html" rel="bookmark" class="title">将ASP的Debug变得简单的两个函数</a>
					<div>
						&lt;%'---------------------------------------------------------------------------'                   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVKPYb.html" rel="bookmark" class="title">linux下查看cpu信息的方法</a>
					<div>
						#Cat /proc/cpuinfo linux下 /proc/cpuinfo 文件会显示cpu的信息 processor 会从0开始记数,继续下去多个cpu flags 如果有 ht 说明支持超线程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8roxb.html" rel="bookmark" class="title">邮件服务器的安全设置</a>
					<div>
						现在互联网垃圾信越来越多,如果设置好你的MailServer的安全设置是一个重要的问题.现在以最流行的MDaemon Mail Server为例,我们来讨论一下MDaemon的安全设置. 推荐阅读:m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd3qdM.html" rel="bookmark" class="title">显示桌面的图标没有了怎么办？</a>
					<div>
						在桌面上右键--新建--文本文档. 把下面的内容复制进去,保存时把类型选为&quot;所有文件&quot;,文件名&quot;显示桌面.SCF&quot;,成功了,就是这个图标!再把图标拖到工具栏或者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6xlYz.html" rel="bookmark" class="title">MFC程序如何实现给对话框添加背景图片</a>
					<div>
						1.插入一个Bitmap的资源图片,假设资源名称为:IDC_BITMAP1 2.在CXXXDialog::OnPaint()中实现: void CMyDialogDlg::OnPaint() { if ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxXR2b.html" rel="bookmark" class="title">Java编程那些事儿43&mdash;数组概述</a>
					<div>
						第六章数组 数组(Array)是Java语言中内置的一种基本数据存储结构,通俗的理解,就是一组数的集合,目的是用来一次存储多个数据. 数组是程序中实现很多算法的基础,可以在一定程度上简化代码的书写.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2G7lp.html" rel="bookmark" class="title">在WPS演示中使用荧光笔的使用技巧</a>
					<div>
						  圣诞节快要到了,WPS技术支持组精心为新老用户整理出一套实用性强的新技巧,同时WPS Office 2005的升级版本&quot;WPS·爱词霸版&quot;也将圣诞节推出,WPS邀您一起畅享轻松 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYJnlb.html" rel="bookmark" class="title">电脑怎样安装声卡？</a>
					<div>
						  360驱动大师安装电脑声卡的方法 1.下载安装&quot;360驱动大师&quot;. 2.安装好后打开&quot;360驱动大师&quot;,软件会自动扫描未安装的驱动.我们可以看见有两个声卡驱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z93Nb.html" rel="bookmark" class="title">MindMapper怎么插入表格&quest;</a>
					<div>
						  我们绘制好文本后,选中想要插入表格的主题,随后找到[工具]中的Excel表单按钮. 随后,点击Excel表单按钮,那么在导图中便会立即插入一个Excel表格作为一个分支主题. 同时我们也将会在电脑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oXjqb.html" rel="bookmark" class="title">安装ArcGIS Server 10&period;0问题解决</a>
					<div>
						  ArcGIS Server是基于服务器的综合性GIS产品,提供高级GIS服务和应用程序以及企业地理数据管理功能.ArcGIS Server 10.1版本中,SOM/SOC架构将被取消,取而代之的是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1E7R9M.html" rel="bookmark" class="title">如何在58同城上免费发布招聘信息</a>
					<div>
						  打开百度搜索&quot;58同城&quot;,进入&quot;58同城&quot;主页后,在右上方有二个链接,分别是登录与注册,如果你还没有58同城的帐号,要注册一个,如果已经有了,那直接输入帐号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3vX8z.html" rel="bookmark" class="title">phpmd-求助：php静态检查相关问题</a>
					<div>
						问题描述 求助:php静态检查相关问题 php的静态代码检查有个叫phpmd的工具,哪位大神这到怎么使用哇!不胜感激 解决方案 http://tech.it168.com/a2011/0511/118 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWDKWp.html" rel="bookmark" class="title">如何用c&num;开发Exchange2003</a>
					<div>
						问题描述 如何用c#开发exchange2003邮件服务功能 解决方案 解决方案二:顶!!!!!!!!!解决方案三:通过ExchangeSDK					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBGNmb.html" rel="bookmark" class="title">聊天功能咨询</a>
					<div>
						问题描述 大家好,app需要实现,所有的用户之间可以相互聊天,用户之间可以相互关注,而用户的通讯类里只显示其关注的人.请问,环信两个id用户(非好友)之间可以聊天吗? 解决方案 环信支持陌生人聊天,只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKePVb.html" rel="bookmark" class="title">恶意软件感染 MySQL 服务器，成为全球 DDoS 之一</a>
					<div>
						赛门铁克已经发现攻击者使用恶意软件劫持MySQL服务器,将其加入全球DDoS僵尸网络,进而发动DDoS攻击.据赛门铁克公司介绍,攻击者可以利用SQL注入(仍未经证实的),使用一个特制的UDF(用户定义 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR3Qjb.html" rel="bookmark" class="title">mysql-怎么回事，Hibernate这样也能成功，但这么多警告，怎么回事？</a>
					<div>
						问题描述 怎么回事,Hibernate这样也能成功,但这么多警告,怎么回事? 1C 2015-7-14 20:58:10 org.hibernate.annotations.common.reflec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nVlPz.html" rel="bookmark" class="title">【swift初学者求助】关于找不到某重载的错误提示</a>
					<div>
						问题描述 [swift初学者求助]关于找不到某重载的错误提示 刚开始学swifit,跟着斯坦福大学公开课学的 做一个计算器 代码如下: import UIKit class ViewControlle ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEK3xZp.html" rel="bookmark" class="title">iGraph 2015双促复盘总结</a>
					<div>
						该文章来自阿里巴巴技术协会(ATA)精选集  前言 随着2015双促落下帷幕,iGraph在线图存储和查询服务也在全力支撑各项业务的过程中经历了近乎疯狂的成长.随着大家逐渐从 关系的视角来审视我们的数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkngqM.html" rel="bookmark" class="title">数据中心内独享与共享技术</a>
					<div>
						数据中心里部署有各种各样的系统,其中数据处理系统是最为重要的部分,主要由服务器.网络.存储等设备组成,这里有各种资源,比如:带宽.计算能力.存储空间等,这些资源可以是共享的,也可以是独享的,具体要看是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8N6Axb.html" rel="bookmark" class="title">jquery异步调用页面后台方法&amp;amp&semi;amp&semi;&num;8207&semi;&lpar;asp&period;net&rpar;&lowbar;jquery</a>
					<div>
						复制代码 代码如下: &lt;%@ Page Language=&quot;C#&quot; AutoEventWireup=&quot;true&quot; CodeBehind=&quot;Jqu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKQyKM.html" rel="bookmark" class="title">判断js对象是否拥有某一个属性的js代码&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: var obj = {name:'jack'}; obj.hasOwnProperty('name'); // --&gt; true obj.hasOwnProperty('t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8YZVp.html" rel="bookmark" class="title">最常用的SQL语句&lowbar;MsSql</a>
					<div>
						(1)数据记录筛选: sql=&quot;select*from数据表where字段名=字段值orderby字段名[desc]&quot; sql=&quot;select*from数据表where字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NDElb.html" rel="bookmark" class="title">首届联合国全球资产数字加密高峰论坛在京召开 ----首个资产数字加密公链技术标准出台</a>
					<div>
						11月18日,在中国北京由WADCC(联合国全球资产数字加密委员会)主办的首届联合国全球资产数字加密高峰论坛隆重召开.论坛分为技术联盟.应用实践.及成果汇报三个版块. 联合国全球资产数字加密高峰论坛现 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
